      DOUBLE PRECISION FUNCTION DQUAD(RULE,N,F,A,B)
C
C   FOR COMPLETE DOCUMENTATION SEE QUAD.
C
      DOUBLE PRECISION P(20),W(20),F,A,B,SUM
C
C      ***************
C      *
C      * RETRIEVE  POINTS  AND  WEIGHTS,   TRANSFORMED  INTO THE
C      * SPECIFIED INTERVAL (A, B), FROM  THE  SUBROUTINE  RULE,
C      * AND APPLY THE QUADRATURE FORMULA.
C      *
C      ***************
C
         CALL RULE(N,A,B,P,W)
         SUM = 0.D0
         DO 10 I = 1,N
              SUM = SUM + W(I)*F(P(I))
  10     CONTINUE
         DQUAD = SUM
      RETURN
      END
